<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to reset an account password on Linux systems." /><title>Resetting an Account Password on Linux</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#04-administration-old/resetting-account-password-linux.html">Open topic with navigation</a>
        </p>
        <h2><a name="kanchor206"></a>Resetting an Account Password on Linux</h2>
        <ol>
            <li value="1">Open the command line terminal and execute the following command:<code> sudo &lt;/path/to/metasploit&gt;/diagnostic_shell.</code></li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-reset-password-linux-1.png" alt="Reset Password on Linux" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">Enter your sudo password.</li>
            <li value="3">When  the system returns the<code> bash#</code> prompt, enter <code>&lt;/path/to/metasploit&gt;/apps/pro/ui/script/resetpw</code> to run the resetpw script.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-reset-password-linux-2.png" alt="Running the resetpw script on Linux" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">Copy the password and use the password the next time you log into <span class="VariablesProductName">Metasploit Pro</span>. You can change the password after you log in to <span class="VariablesProductName">Metasploit Pro</span>.</li>
            <li value="5">Exit the console.</li>
        </ol>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Removing Metasploit from Windows Systems|removing-metasploit-windows.html||Resetting the Password for a User Account|resetting-account-password.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>